#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

int inet_aton(
  const char     *pc,
  struct in_addr *pin
) {
  in_addr_t addr = inet_addr(pc);
  if (addr == (in_addr_t) -1) {
    return 0;
  } else {
    pin->s_addr = addr;
    return 1;
  }
}
